#ifndef ELEMENT_H
#define ELEMENT_H


#include <fstream.h>
#include <strstream.h>


/** This base-class provides a common interface for all elements.
    It also provides an implementation for a raw-element, which is used by the
    environment RawEnvironment.
*/
class Element { 
  public:
    /** Creates a new element with the given text.
	@param text The text of the element
    */
    Element(const char *text);

    /// Destructor
    virtual ~Element();


    /** This method writes the element to the given output filestream.
	@param output The output filestream
	@param parameter An integer-parameter which has a special meaning for
	       each derivated element.
    */
    virtual void write(ofstream *output,int parameter=0);


  protected:
    /// The text of the element
    ostrstream text_;
};

#endif //ELEMENT_H
