#include "imageelement.h"

#include <magick/magick.h>


ImageElement::ImageElement(const char *text) : Element(text)
{
    Image *image;
    ImageInfo ii;
    GetImageInfo(&ii);
    strcpy(ii.filename,text);
    image = PingImage(&ii);

    if (image) {
        size_.height_ = image->rows;
	size_.width_ = image->columns;
	DestroyImage(image);

    } else {
        size_.height_ = 0;
	size_.width_ = 0;
	cerr << "Warning : The image " << text << " doesn't exist." << endl;
    }
}

ImageElement::~ImageElement()
{
}


void ImageElement::write(ofstream *output,int parameter)
{
    *output << "<CENTER><IMG src=\"" << text_.str() << "\"";
    if ((size_.height_ != 0) && (size_.width_ != 0)) {
        *output << " height=\"" << size_.height_
		<< "\" width=\"" << size_.width_ << "\"";
    }
    *output << "></CENTER>" << endl;
}
