#ifndef IMAGEELEMENT_H
#define IMAGEELEMENT_H


#include "element.h"
#include "imagesize.h"


/** This class represents one image in an <IMG>-environment.
    It contains the filename of the image (derived from Element) and the
    dimensions.
*/
class ImageElement : public Element {
  public:
    /** Creates a new image.
	@param text The filename of the image
    */
    ImageElement(const char *image_name);

    /// Destructor
    ~ImageElement();


    /** This method writes the image to the given output filestream.
	An integer-parameter has to be given because of the derivation.
	But it has no meaning in this class.
	@param output The output filestream
	@param parameter A dummy-parameter
    */
    void write(ofstream *output,int parameter=0);


  private:
    /// The size of the image
    ImageSize size_;
};

#endif //IMAGEELEMENT_H
