#include "main.h"
#include "imageenvironment.h"
#include "imageelement.h"


ImageEnvironment::ImageEnvironment() : Environment()
{
}

ImageEnvironment::~ImageEnvironment()
{
}


void ImageEnvironment::read(ifstream *input)
{
    unsigned int line_of_environment = 1;

    input->getline(Buffer_,BUFFER_SIZE);
    Current_Line_Number_++;
    while (!strstr(Buffer_,"</IMG>")) {
        if (Buffer_[0] != '#') {
	    if (input->eof() || (strlen(Buffer_) == 0)) {
	        cerr << "Line " << Current_Line_Number_
		     << ": There should be an </IMG> tag." << endl;
		Number_Of_Errors_++;
		return;
	    }
	    line_of_environment++;
	    elements_.push_back(new ImageElement(Buffer_));
	}
	input->getline(Buffer_,BUFFER_SIZE);
	Current_Line_Number_++;
    }

    if (line_of_environment == 1) {
        cerr << "Line " << Current_Line_Number_
	     << ": There must be at least one image." << endl;
	Number_Of_Errors_++;
    }
}


void ImageEnvironment::write(ofstream *output,int which_image)
{
    if (which_image == -1) {
        which_image = 1;
    } else if (which_image > (signed)elements_.size()) {
        which_image = elements_.size();
    }

    elements_[which_image-1]->write(output);
}


int ImageEnvironment::shouldBeWrittenOneByOne()
{
    return (elements_.size() == 1 ? 0 : 1);
}
