#include "main.h"
#include "rawenvironment.h"


RawEnvironment::RawEnvironment() : Environment()
{
}

RawEnvironment::~RawEnvironment()
{
}


void RawEnvironment::read(ifstream *input)
{
    unsigned int line_of_environment = 1;

    input->getline(Buffer_,BUFFER_SIZE);
    Current_Line_Number_++;
    while (!strstr(Buffer_,"</RAW>")) {
        if (Buffer_[0] != '#') {
	    if (input->eof() || (strlen(Buffer_) == 0)) {
	        cerr << "Line " << Current_Line_Number_
		     << ": There should be a </RAW> tag." << endl;
		Number_Of_Errors_++;
		return;

	    } else {
	        elements_.push_back(new Element(Buffer_));
	    }

	    line_of_environment++;
	}
	input->getline(Buffer_,BUFFER_SIZE);
	Current_Line_Number_++;
    }

    if (line_of_environment == 1) {
        cerr << "Line " << Current_Line_Number_
	     << ": There must be at least one raw-item." << endl;
	Number_Of_Errors_++;
    }
}


void RawEnvironment::write(ofstream *output,int parameter)
{
    for (unsigned int i=0;i<elements_.size();i++) {
        elements_[i]->write(output);
    }
}
