#ifndef RAWENVIRONMENT_H
#define RAWENVIRONMENT_H


#include "environment.h"


/** This class represents a <RAW>-environment.
    This environment contains at least one raw element (Element) stored in an
    Element-vector (derived from Environment).
 */
class RawEnvironment : public Environment {
  public:
    /// Default constructor
    RawEnvironment();

    /// Destructor
    ~RawEnvironment();


    /** This method generates a <RAW>-environment out of the given input
	filestream.
	The input filestream will be read until a </RAW>-Tag is reached.
	@param input The input filestream, from where the raw-elements are
	       extracted
    */
    void read(ifstream *input);

    /** This method writes the raw-elements to the given output filestream.
	An integer-parameter has to be given because of the derivation.
	But it will has no meaning in this class.
	@param output The output filestream
	@param parameter An integer which will be ignored
    */
    void write(ofstream *output,int parameter=0);
};

#endif //RAWENVIRONMENT_H
